package cargasintetica;

import java.util.ArrayList;
import java.util.Collections;
import java.util.HashMap;
import java.util.Iterator;

public class Cuentas_Calibracion 
{

	public Cuentas_Calibracion()
	{
		// Ponemos los valores conocidos
		load_cuentas("DELL LATITUDE 620", 635L);
		load_cuentas("DELL LABOCTR_NUEVO", 844L);
	}
	
	
	

	private ArrayList<String> keys_calibracion = new ArrayList<String>();

	private HashMap<String, Long> cuentas_calibracion = new HashMap<String, Long>();
	
	public void load_hashmap(HashMap<String,Long> hash_map)
	{
		Iterator<String> key_iterator = hash_map.keySet().iterator();
		
		while(key_iterator.hasNext())
		{
			String key = key_iterator.next();
			Long value = hash_map.get(key);
			
			cuentas_calibracion.put(key, value);
		}
		
		rellena_keys_calibracion();

	}
	
	public HashMap<String, Long> exporta_hashmap()
	{
		return cuentas_calibracion;
	}

	public void load_cuentas(String maquina, long cuenta)
	{
		cuentas_calibracion.put(maquina,  cuenta);
		rellena_keys_calibracion();
	}
	
	public long cuenta_calibracion_por_id(int id_calibracion)
	{
		long res;
		
		res = cuentas_calibracion.get(keys_calibracion.get(id_calibracion));
		
		return res;
	}

	public String genera_str_ids_calibracion()
	{
		String res = "";
		
		int id_calibracion = 0;
		Iterator<String> iterator = keys_calibracion.iterator();
		
		while ( iterator.hasNext() )
		{
			String key = iterator.next();
			res += id_calibracion + ". " + key + " (" + cuentas_calibracion.get(key) + ")\n";
			id_calibracion++;
		}
		
		
		return res;
	}
	


	private void rellena_keys_calibracion()
	{
		
		keys_calibracion.clear();
		Iterator<String> iterator = cuentas_calibracion.keySet().iterator();
		
		// Ponemos todas las keys en el arraylist
		while(iterator.hasNext())
		{
			keys_calibracion.add(iterator.next());
		}
		
		Collections.sort(keys_calibracion);
	}


	
	
}
