package cpuclock;

public class PidTid {
	
	// In Linux both PID and TID are pid_t types which are defined
	// as 32 bit signed integers (see /usr/include/bits/typesizes.h)
	
	private long pid;
	private long tid;

	
	private native long native_get_tid();
	private native long native_get_pid();
	
	public PidTid()
	{
		tid = native_get_tid();
		pid = native_get_pid();
	}

	public long get_pid()
	{
		return pid;
	}
	
	public long get_tid()
	{
		return tid;
	}

	static
	{
		System.loadLibrary("cpuclock");
		
	}
}
