package tiposcomunes;

import org.eclipse.swt.SWT;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Group;
import org.eclipse.swt.widgets.Label;
import org.eclipse.swt.widgets.Shell;
import org.eclipse.swt.widgets.Text;

public class DestPctDataGUI 
{
	private Group swt_group = null;
	private Label IP_label = null;
	private Text  IP_text = null;
	private Label puerto_label = null;
	private Text puerto_text = null;
	private Label porcentage_label = null;
	private Text porcentage_text = null;
	
	public DestPctDataGUI(Shell ventana, DestPctData dato)
	{
		
		swt_group = new Group(ventana, SWT.SHADOW_OUT);
		swt_group.setText(dato.nombre);
		swt_group.setLayout(new GridLayout(2, false));
		
		// Para ocupar una fila creamos un label tonto
		porcentage_label = new Label(swt_group, SWT.NONE);
		porcentage_label.setText("% (int):");
		porcentage_text = new Text(swt_group, SWT.BORDER | SWT.LEFT);
		
		
		IP_label = new Label(swt_group, SWT.NONE);
		IP_label.setText("Direccion IP:");
		IP_text = new Text(swt_group, SWT.BORDER | SWT.LEFT);
		
		puerto_label = new Label(swt_group, SWT.NONE);
		puerto_label.setText("Puerto:");
		puerto_text = new Text(swt_group, SWT.BORDER | SWT.LEFT);
		
		
	}
	
	public void actualiza_valor(DestPctData dato)
	{
		porcentage_text.setText(Integer.toString(dato.porcentage));
		IP_text.setText(dato.IP);
		puerto_text.setText(Integer.toString(dato.puerto) );
	}
	
	public void lee_valor(DestPctData dato)
	{
		dato.porcentage = Integer.parseInt(porcentage_text.getText() );
		dato.IP = IP_text.getText();
		dato.puerto = Integer.parseInt(puerto_text.getText() );
	}
}
