package tiposcomunes;

import org.eclipse.swt.SWT;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Group;
import org.eclipse.swt.widgets.Label;
import org.eclipse.swt.widgets.Shell;
import org.eclipse.swt.widgets.Text;

public class EscuchaDataGUI 
{
	private Group swt_group = null;
	private Label puerto_label = null;
	private Text puerto_text = null;
	
	public EscuchaDataGUI(Shell ventana, EscuchaData dato)
	{
		
		swt_group = new Group(ventana, SWT.SHADOW_OUT);
		swt_group.setText(dato.nombre);
		swt_group.setLayout(new GridLayout(2, false));
		
		
		puerto_label = new Label(swt_group, SWT.NONE);
		puerto_label.setText("Puerto:");
		puerto_text = new Text(swt_group, SWT.BORDER | SWT.LEFT);
	}
	
	public void actualiza_valor(EscuchaData dato)
	{
		puerto_text.setText(Integer.toString(dato.puerto) );
	}
	
	public void lee_valor(EscuchaData dato)
	{
		dato.puerto = Integer.parseInt(puerto_text.getText() );
	}
}
