// generated source from Probekit compiler
/* probekit /LoadProyect/src/doWorkCpuClockReflection.probe
*/
// "imports" specifications for probes (if any):
import java.util.*; // from unnamed_probe
import java.io.*; // from unnamed_probe
import java.lang.reflect.Method; // from unnamed_probe
class doWorkCpuClockReflection_probe {
  // Class for probe unnamed_probe
  public static class Probe_0 {
    // Fragment at class scope
static long inicio;
static long nr_peticiones = 0;
static ArrayList<Long> lista_tiempos = new ArrayList<Long>();
static final long NR_PETICIONES_FICHERO = 20;

static Object reloj = null;
static Method getThreadTimeMs;

// Llamamos a reflection para crear el reloj y extraer el metodo
	static
	{
		try
		{
			/* Use reflection to get the required classes */
			ClassLoader myClassLoader = ClassLoader.getSystemClassLoader();
			
			// Cargamos la clase manualmente
//			Class<?> mideTiempos = myClassLoader.loadClass("clocknative.MideTiempos");
			Class<?> mideTiempos = myClassLoader.loadClass("cpuclock.CpuClock");
			
			// Instanciamos un objeto
			reloj = mideTiempos.newInstance();

			// Obtenemos un metodo
			Class<?>[] parametros_de_llamada = null; // No tiene parametros
			getThreadTimeMs = mideTiempos.getMethod("get_thread_time_ms", parametros_de_llamada);
			
		} catch (Exception e)
		{
			System.err.println("An exception has occured: " + e.getMessage());
			e.printStackTrace();
		}
	}


    public static void _entry (
      ) {
      // Internal signature for this method: ()V
//------------------ begin user-written fragment code ----------------
// Put your code here
		try {
			inicio = (Long) getThreadTimeMs.invoke(reloj, (Object []) null);
		} catch (Exception e) {
			System.err.println("An exception has occured: " + e.getMessage());
			e.printStackTrace();
		}				

//------------------- end user-written fragment code -----------------
    }
    public static void _exit (
      ) {
      // Internal signature for this method: ()V
//------------------ begin user-written fragment code ----------------
		long fin = 0;
		try
		{
			fin  = (Long) getThreadTimeMs.invoke(reloj, (Object []) null);
		}
		catch (Exception e)
		{
			System.err.println("An exception has occured: " + e.getMessage());
			e.printStackTrace();

		}


		long intervalo = fin -inicio;
//		System.out.println("Intervalo: " + intervalo);
		lista_tiempos.add(intervalo);
		nr_peticiones++;

		// Cada 20 peticiones sacamos un fichero
		if (nr_peticiones % NR_PETICIONES_FICHERO == 0)
		{
			FileOutputStream fout = null;

			try
			{
				String filename = "stats" + nr_peticiones + ".csv";

				// Open an output stream
				fout = new FileOutputStream (filename);

				// Print a line of text
				Iterator<Long> indice = lista_tiempos.iterator();

				while (indice.hasNext() )
				{
					new PrintStream(fout).println (indice.next());
				}

				// Close our output stream
				fout.close();		
			}
			// Catches any error conditions
			catch (IOException e)
			{
				System.err.println ("Unable to write to file");
				System.exit(-1);
			}

			lista_tiempos.clear();

		}



//------------------- end user-written fragment code -----------------
    }
  }
}
