package tiposcomunes;

import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.*;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.layout.GridLayout;

public class EnumComboGUI 
{
	Group swt_group = null;
	Label etiqueta = null;
	Combo combo = null;
	
	public EnumComboGUI(Shell shell, Enum enumerado, String nombre)
	{
		swt_group = new Group(shell, SWT.SHADOW_OUT);
		swt_group.setLayout(new GridLayout(2, false) );
		
		etiqueta = new Label(swt_group, SWT.NONE);
		etiqueta.setText(nombre);
		
		combo = new Combo(swt_group, SWT.NONE);
		
		GridData gridData_combo = new GridData();
		gridData_combo.widthHint = 140;  // Copied from ve GUI version
		combo.setLayoutData(gridData_combo);

		Enum<?> valores[] = enumerado.getClass().getEnumConstants();
		for (Enum<?> valor: valores)
		{
			combo.add(valor.toString());
		}
	}
	
	public void actualiza_valor(Enum enumerado)
	{
		combo.select(enumerado.ordinal() );
	}
	
	public void lee_valor(Enum<?> enumerado)
	{
		enumerado = Enum.valueOf(enumerado.getDeclaringClass(),  combo.getText() );
				
	}
	
}
