package tiposcomunes;

import org.eclipse.swt.SWT;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Group;
import org.eclipse.swt.widgets.Label;
import org.eclipse.swt.widgets.Shell;
import org.eclipse.swt.widgets.Text;

public class IntDataGUI 
{
	private Group swt_group = null;
	private Label nombre_label = null;
	private Text  valor_text = null;
	
	public IntDataGUI(Shell ventana, String nombre)
	{
		
		swt_group = new Group(ventana, SWT.SHADOW_OUT);
		swt_group.setLayout(new GridLayout(2, false));
		
		nombre_label = new Label(swt_group, SWT.NONE);
		nombre_label.setText(nombre);
		valor_text = new Text(swt_group, SWT.BORDER | SWT.LEFT);
	}
	
	public void actualiza_valor(int valor)
	{
		valor_text.setText(Integer.toString(valor) );
	}
	
	public int lee_valor()
	{
		int res = Integer.parseInt(valor_text.getText() );
		return res;
	}

}
